/* 
 * @(#)src/contract/jvm/pfm/jniproto_md.h, ibmip, xn130, 20011207 1.3.1.2
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * IBM Java(tm)2 SDK, Standard Edition, v 1.2 
 *
 * (C) Copyright IBM Corp. 1999 All Rights Reserved.
 * ===========================================================================
 * Change activity:
 *
 * Reason  Date   Origin  Description
 * ------  ----   ------  ----------------------------------------------------
 * 009653  080800 hdngmr  Added XJNICALL definition.
 *
 * ===========================================================================
 */
 
/* 
 * Define JNI prototype macros. This module was created for 
 * defect 91 because of the difficulties getting VisualAge to
 * accept JNIEXPORT in prototypes on Windows NT.
 * This module is simpler for Visual C++ since JNIEXPORT can
 * be the same for prototypes and definitions.
 *
 */

/*
 * For MS VC++ the value of JNIEXPORT need not change
 */
#ifndef JNIEXPORT
#ifdef WIN32
#define JNIEXPORT __declspec(dllexport)
#else
#define JNIEXPORT
#endif
#define JNIEXPORT_PROTOTYPE JNIEXPORT
#endif

#ifndef JNIIMPORT
#ifdef WIN32
#define JNIIMPORT __declspec(dllimport)
#else
#define JNIIMPORT
#endif
#endif

#ifndef JNICALL
#ifdef WIN32
#define JNICALL __stdcall
#else
#define JNICALL
#endif
#endif

#define XJNICALL                                                   /*ibm@9653*/

/* END OF FILE jniproto_md.h */
