// ***************************************************************************************
// File: encrypt.h
// Description: blowwfish encryption functions
// Author: Pierre MARC
// Copyright (C) 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Nirva Systems
//
// This file is part of Nirva Application Platform.
// 
// Nirva Application Platform is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.

// Nirva Application Platform is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.

// You should have received a copy of the GNU Lesser General Public License
// along with Nirva Application Platform.  If not, see <http://www.gnu.org/licenses/>.
//
// ***************************************************************************************
// Comments: 
// ***************************************************************************************

void EncryptString(const char *Key, char *String, int BufferSize);
void DecryptString(const char *Key, char *String, int BufferSize);
int  encrypts(int chiffre, const char * key, char * InStr, char * OutStr);
int  decrypts(int chiffre, const char * key, char * InStr, char * OutStr);
void XOR(char *value, int vlen, const char *key);
